CL2C Swagger reference
Choose an endpoint, enter its required values, and inspect or send a real API request.
OpenAPI 3.0.3 · Swagger format
View or download the OpenAPI specification
21 endpoints
Complete endpoint URL
put
https://developer.taliware.com/api/v1/cl2c/contractUpdate a smart contract
Update status, contractAddress, or deployedAt of an existing contract.
x-api-key<token>
In: header
idstring
status?string
Value in
"CREATED" | "DEPLOYED" | "FAILED"contractAddress?string
deployedAt?string
Format
date-timeResponse Body
curl -X PUT "https://developer.taliware.com/api/v1/cl2c/contract" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{
"id": "string",
"name": "string",
"symbol": "string",
"description": "string",
"network": "string",
"env": "string",
"status": "CREATED",
"contractAddress": "string",
"deployedAt": "2019-08-24T14:15:22Z",
"metadata": {},
"totalNFTs": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}